commit:     449265da845d704902e7affbcc707f14c6c8fcfe
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  6 20:47:22 2018 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Feb  6 20:57:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=449265da

app-editors/zile: Suppress running the tests for GNU Emacs.

Closes: https://bugs.gentoo.org/630652
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-editors/zile/zile-2.3.24-r2.ebuild | 7 +++++--
 app-editors/zile/zile-2.4.13.ebuild    | 2 ++
 app-editors/zile/zile-2.4.14.ebuild    | 2 ++
 3 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/app-editors/zile/zile-2.3.24-r2.ebuild 
b/app-editors/zile/zile-2.3.24-r2.ebuild
index 49d18af5637..0f710c8c197 100644
--- a/app-editors/zile/zile-2.3.24-r2.ebuild
+++ b/app-editors/zile/zile-2.3.24-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -19,7 +19,10 @@ DEPEND="${RDEPEND}
 PATCHES=("${FILESDIR}"/${P}-{userhome,gets}.patch)
 
 src_configure() {
-       econf $(use test && use_with valgrind || echo "--without-valgrind")
+       # --without-emacs to suppress tests for GNU Emacs #630652
+       econf \
+               --without-emacs \
+               $(use test && use_with valgrind || echo "--without-valgrind")
 }
 
 src_install() {

diff --git a/app-editors/zile/zile-2.4.13.ebuild 
b/app-editors/zile/zile-2.4.13.ebuild
index 74d312cf2c5..dc81ee11b4d 100644
--- a/app-editors/zile/zile-2.4.13.ebuild
+++ b/app-editors/zile/zile-2.4.13.ebuild
@@ -22,8 +22,10 @@ DEPEND="${RDEPEND}
 QA_AM_MAINTAINER_MODE=".*help2man.*" #450278
 
 src_configure() {
+       # --without-emacs to suppress tests for GNU Emacs #630652
        econf \
                --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+               --without-emacs \
                $(use_enable acl)
 }
 

diff --git a/app-editors/zile/zile-2.4.14.ebuild 
b/app-editors/zile/zile-2.4.14.ebuild
index 74d312cf2c5..dc81ee11b4d 100644
--- a/app-editors/zile/zile-2.4.14.ebuild
+++ b/app-editors/zile/zile-2.4.14.ebuild
@@ -22,8 +22,10 @@ DEPEND="${RDEPEND}
 QA_AM_MAINTAINER_MODE=".*help2man.*" #450278
 
 src_configure() {
+       # --without-emacs to suppress tests for GNU Emacs #630652
        econf \
                --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+               --without-emacs \
                $(use_enable acl)
 }
 

Reply via email to